Compile Failure 1.0.2p AIX 7.1 using GCC

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Compile Failure 1.0.2p AIX 7.1 using GCC

Art Lemuel
This error message was transcribed from an air-gap network and not copied.  I believe the error message has been correctly transcribed.  This is the error we are getting when attempting to compile 1.0.2p for AIX 7.1 using GCC 4.3.5

making all in crypto.....
    /usr/bin/perl  ../util/mkbuildinf.pl "gcc -I . -I.. -I../include -DZLIB -DOPENSSL_THREADS -pthread -DDSO_DLFCN -DHAVE_DLFCH_H -O -DB_ENDIAN -DOPENSSL_BN_ASM_MONT -I /usr/local/ssl/fips-2.0/include -DSHA1_ASM -DSHA512_ASM -DAES_ASM -DVPAES_ASM "aix-gcc" >build.h 
    gcc -I. -I.. -I../include -DZLIB -DOPENSSL_THREADS -pthread -DDSO_DLFCN -DHAVE_DLFCN_H -O -DB_ENDIAN -OPENSSL_BN_AMS_MONT -I/usr/local/ssl/fips-2.0/include -DSHA1_AMS -DSHA256_ASM -DSHA512_DSM -DAES_ASM -DVPAES_ASM -c cryptlib.c 
In file included from ../e_os.h:468,
                        from cryptlib.h:65,
                        from cryptlib.c:117:
/usr/include/unistd.h:1062: error:  expected ')' before '[' token
/usr/include/unistd.h:1063:  error  expected declaration specifiers or '...' before 'rid_t'
make:  The error code from the last command is 1

--
openssl-users mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-users